Package wx :: Class Choicebook

[frames | no frames]

## Type Choicebook

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                  BookCtrlBase --+
                                 |
                                Choicebook

Proxy of C++ Choicebook class

Method Summary
Choicebook | `__init__(self, parent, id, pos, size, style, name)`
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
Choice | `GetChoiceCtrl(self)`

Property Summary
| `ChoiceCtrl`: See `GetChoiceCtrl`
| `thisown`: The membership flag

Instance Method Details

### Create(self, parent, id, pos=DefaultPosition, size=DefaultSize, style=0, name=EmptyString)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create` (inherited documentation)

Property Details

### ChoiceCtrl

See `GetChoiceCtrl`

  Get Method:
    `GetChoiceCtrl`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Mon May 14 12:03:50 2007 | http://epydoc.sf.net